Skip to main content
GET
Get E-Sign Status

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.

Headers

x-cf-signature
string

Send the signature if two-factor authentication is selected as Public Key. More details.

Query Parameters

reference_id
integer
default:54321

It is the unique ID created by Cashfree Payments that you receive in the response of Create E-Sign Request API. format: int64

verification_id
string
default:ABC00123

It is the unique ID you create to identify the Create E-Sign Request API.

Response

Success response for retrieving the status of an e-signature request.

status
string

It displays the status of the e-signature. Possible values are: - IN_PROGRESS: Signing process is initiated. - SUCCESS: All the signers signed successfully. - EXPIRED: Signing window expired. - FAILURE: Error occured during signing the document.

Example:

"IN_PROGRESS"

reference_id
integer

It displays the unique ID created by Cashfree Payments for reference purposes. format: int64

Example:

32

verification_id
string

It displays the unique ID created by you to identify the API request.

Example:

"ABC00123"

document_id
integer

It displays the unique ID created by Cashfree Payments to identify the uploaded document.

Example:

36

signers
object[]

It contains the details of the signer(s).

Example:
signed_doc_url
string

It displays the link to the signed document.

Example:

"SIGNED_DOC_URL"